@echo off

IF EXIST "__backup/PSound.aaf" (
  goto FAIL
)

:PACK
mkdir "./__backup"
mkdir "./__backup/Banks"
copy "./PSound.aaf" "./__backup/" > NUL
copy "./Banks" "./__backup/Banks" > NUL
echo Unpacking AAF....
"%CD%/tool/jampacked.exe" unpack PSound.aaf Audio_Modding
"%CD%/tool/wsystool.exe" unpack "./Audio_Modding/include/0.wsy" "./Audio_Modding/0" -awpath "%CD%/Banks/"

echo Unpacking BST 
"%CD%/tool/bast" unpack "./Audio_Modding/include/0.bst" "./Audio_Modding/SoundTable"

echo Unpacking IBNK 

"%CD%/tool/ibnktool.exe" unpack 0 "./Audio_Modding/include/0.bnk" "./Audio_Modding/IBNK0"
"%CD%/tool/ibnktool.exe" unpack 0 "./Audio_Modding/include/1.bnk" "./Audio_Modding/IBNK1"
"%CD%/tool/ibnktool.exe" unpack 0 "./Audio_Modding/include/2.bnk" "./Audio_Modding/IBNK2"
"%CD%/tool/ibnktool.exe" unpack 0 "./Audio_Modding/include/3.bnk" "./Audio_Modding/IBNK3"
"%CD%/tool/ibnktool.exe" unpack 0 "./Audio_Modding/include/4.bnk" "./Audio_Modding/IBNK4"
"%CD%/tool/ibnktool.exe" unpack 0 "./Audio_Modding/include/5.bnk" "./Audio_Modding/IBNK5"


echo Done.
GOTO EOF

:FAIL
echo WARNING: You already have a backup. If you make a backup now, and have made any changes, this will corrupt the backup of your original game files.
echo Choose wisely.
SET /P AREYOUSURE=No regrets, mister freeman: (Y/[N])
IF /I "%AREYOUSURE%" EQU "Y" GOTO PACK

:EOF
pause